Initiate Payment

API to initiate transactions by merchant.

About MIT (Merchant Initiated Transaction)

Merchant Initiated Transactions (MIT) allows a business to use card details, that were stored during previous transactions, to charge their customers.

How do MITs work?

1- You request a payment link with the option to save the card details.
2- You save the charge ID.
3- You get the charge details (redirect, GET /charge, or webhook) which will include the ID of the card used to make the payment, you can save either one of the IDs so you always have access to the card ID.
4- You call the below API to initiate a transaction using the same card.

Body Params
string
required

Saved card ID retrieved from the initial transaction made with MIT-enabled link.

number
required
≥ 1
Defaults to 10

Amount to be charged.

string
Defaults to AED

The three-letter ISO currency code, default is AED

boolean
Defaults to true

Enables the sending of customer receipts.

custom_data
object

Key-value object that can be used to pass custom data.

string

The external ID allows non Mamo IDs to be associated with a given charge.

boolean
Defaults to false

Indicates whether to place the payment on hold and charge it later using the "captures" API.

Headers
string
string
Responses

400

Bad Request

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json